/* =Reset default browser CSS. Based on work by Eric Meyer: http://meyerweb.com/eric/tools/css/reset/index.html
-------------------------------------------------------------- */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
  background: transparent;
  border: 0;
  margin: 0;
  padding: 0;
  vertical-align: baseline; }

body {
  line-height: 1; }

h1, h2, h3, h4, h5, h6 {
  clear: both;
  font-weight: normal; }

ol, ul {
    list-style: none;
}

blockquote {
  quotes: none; }

blockquote:before, blockquote:after {
  content: '';
  content: none; }

del {
  text-decoration: line-through; }

/* tables still need 'cellspacing="0"' in the markup */
table {
  border-collapse: collapse;
  border-spacing: 0; }

a img {
  border: none; }


/* Custom stuff */

body {
    background-color: #C6EBDF;
    font-family: sans-serif;
    font-size: 0.9rem;
}

/* Center the block in the middle of the page */
.wrapper {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    
    height: 100vh;
}

a {
    color: #1E90FF;
    text-decoration: none ;
    
}

.main {
    width: 95%;
    
}

.links-container {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    align-items: center;
    align-content: center;
    max-width: 700px;
    
    margin: auto;
    padding-top: 1rem;
    
}

.logo,
.links {
    padding: 1rem;

    max-width: 700px;
    
    /* Flex center this object - manage the margins automatically to keep in center*/
    margin: auto;
    text-align: center;
}


.logo {
    background-color: #27AA89;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.link {
    font-size: 0.7rem;
    text-align: center;
    
    color: #1E90FF;
/*    border-width: 1px; border-color: blue; border-style: solid;*/
}
.linktext {
    font-size: 0.6rem;
    padding-top: 0.4rem;

}

/* This method (with link as container and linkicon and linktext as children) allows for dual changes based on one hover */
.link:hover .linkicon,
.link:hover .linktext{
    color: #9C27B0;
    -webkit-transition: all 1.5s ease;
    -moz-transition: all 1.5s ease;
    -o-transition: all 1.5s ease;
    -ms-transition: all 1s ease;
    transition: all 1.5s ease;
}


/* Fancy stuff */

.rounded-20px {
    border-radius: 20px 20px 20px 20px; 
    -moz-border-radius: 20px 20px 20px 20px; 
    -webkit-border-radius: 20px 20px 20px 20px; 
}

/* Animations */


/* Media sizing */

/* -----------------------------------------------------------------
        Media Queries - tablet and up
----------------------------------------------------------------- */
@media all and (min-width: 500px) {
    .main {
        width: 85%;
    }
    
    .link {
        font-size: 1.3rem;
    }
    .linktext {
        font-size: 0.7rem;
    }
}

@media all and (min-width: 738px) {
    .main {
        width: 75%;
    }
    
    .linktext {
        color: #BBDEFB
    }
}
